import { useState } from "react";
import AnswerDialog from "./react_stuff/AnswerDialog";
import Layout from '@theme/Layout'; // Основная обёртка с шапкой, футером и т.д.
import useDocusaurusContext from '@docusaurus/useDocusaurusContext';

function App() {
  const [isDialogOpen, setIsDialogOpen] = useState(false);
  const { siteConfig } = useDocusaurusContext();
  
  return (
    <Layout title="Ультратехнологический диалог" description="">
    <div className="container margin-vert--lg">
      <AnswerDialog
        onClose={() => setIsDialogOpen(false)}
      />
      </div>
    </Layout>
  );
}

export default App;
